<!doctype html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport"
          content="width=device-width, user-scalable=no, initial-scale=1.0, maximum-scale=1.0, minimum-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>HW4 - Fetch data</title>
    <link rel="stylesheet" href="css/reset.css">
    <link rel="stylesheet" href="css/style.css">
</head>
<body>

<script src="js/script.js"></script>
</body>
</html>

<!--AJAX - это технология, позволяющая осуществлять обращения к серверу по мере взаимодействия-->
<!--пользователя со страницей. Реализуется с помощью применения встроенных в JS API - XMLHttpRequest(),-->
<!--fetch(), async/await.-->

<!--Внедрение AJAX позволило выполнять запросы на сервер в фоновом режиме (не перезагружая страницу-->
<!--пользователя). Это сняло необходимость создавать отдельные вебстраницы под разные действия пользователя-->
<!-- - например, больше нет необходимости переводить пользователя на другую страницу после того как он отправил-->
<!--форму, потому что проверка введенных данных на корректность осуществляется с помощью AJAX-запроса.-->